Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# Native boolean operations

Operations on `bool` values that are listed here have fast, optimized implementations.

## Construction

- `True`

- `False`

- `bool(obj)`

## Operators

- `b1 and b2`

- `b1 or b2`

- `not b`

## Functions

- `any(expr for ... in ...)`

- `all(expr for ... in ...)`